import request from "@/utils/request";
import { parseStrEmpty } from "@/utils/ruoyi";

// 查询用户列表
export function listTree(query) {
  return request({
    url: "/system/user/list",
    method: "get",
    params: query,
  });
}

// 查询用户列表
export function list(data, params) {
  return request({
    url: "/system/label/labelList",
    method: "post",
    data: data,
    params: params,
  });
}

// 查询用户列表
export function item(data, params) {
  return request({
    url: "/system/label/labelItem",
    method: "post",
    data: data,
    params: params,
  });
}

// 查询用户列表
export function add(data, params) {
  return request({
    url: "/system/label/insertLabel",
    method: "post",
    data: data,
    params: params,
  });
}

// 查询用户列表
export function edit(data) {
  return request({
    url: "/system/label/updateLabel",
    method: "post",
    data: data,
  });
}

// 查询用户列表
export function remove(params) {
  return request({
    url: "/system/label/deleteLabel",
    method: "get",
    params: params,
  });
}

// 查询用户列表
export function bindList(params) {
  return request({
    url: "/system/label/bindList",
    method: "get",
    params: params,
  });
}

// 查询用户列表
export function removeBind(params) {
  return request({
    url: "/system/label/removeBind",
    method: "get",
    params: params,
  });
}

// 查询用户列表
export function removeAllBind(params) {
  return request({
    url: "/system/label/removeAllBind",
    method: "get",
    params: params,
  });
}

// 查询用户列表
export function type(data, params) {
  return request({
    url: "/system/label/parentLabels",
    method: "post",
    data: data,
    params: params,
  });
}

// 查询用户列表
export function classifyTree() {
  return request({
    url: "/system/label/ClassifyTree",
    method: "post",
  });
}

// 查询用户列表
export function autoBind(data) {
  return request({
    url: "/system/label/autoBind",
    method: "post",
    data,
  });
}

// 查询用户列表
export function manualBindQuery(data) {
  return request({
    url: "/system/label/manualBindQuery",
    method: "post",
    data,
  });
}

// 查询用户列表
export function manualBindOK(data) {
  return request({
    url: "/system/label/manualBindOK",
    method: "post",
    data,
  });
}
